alter table t_device_group
    add public_cert bigint null comment '公共证书，作为 DynamoDB 表的分区键。';

alter table t_questionnaire
    modify questionnaire_name varchar(200) not null comment '问卷名称';

create index t_events_is_from_parse_ics_index
    on t_events (is_from_parse_ics);

alter table t_user_device_codes
    add hide_overdue tinyint(1) default 0 null comment '是否隐藏逾期杂物 0:否 1:是 default: 0';

alter table t_user_calendar_categories
    add is_webcal_default tinyint(1) default 0 null comment '是否是Webcal日历的默认分类 0:否 1:是 default:0';

alter table t_email_callback_log
    add sender_email VARCHAR(200) null comment '发件人邮箱';

alter table t_user
    modify user_type tinyint(1) default 0 null comment '用户类型，0:普通用户，1:会员用户 2:游客(未注册状态,仅数据库可查)';

alter table t_email_callback_log
    add utc_offset tinyint default 0 null comment '时区偏移量';

alter table t_email_callback_log
    add s3_keys text null comment 's3 key 集合';

alter table t_email_callback_log
    add magic_import_status tinyint(1) null comment '魔法导入审核状态 0:未审核 1:审核通过 2:审核不通过';





UPDATE t_events
SET is_from_parse_ics=1
WHERE sync_event_id is not null;